# Uses of Class
org.eclipse.mat.collect.ArrayInt

Packages that use ArrayInt
Package
Description
org.eclipse.mat.collect
Collections optimized for keys and values of ints and longs.
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.parser.index
Implementations for handling indexes.
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).

## Uses of ArrayInt in org.eclipse.mat.collect

Methods in org.eclipse.mat.collect with parameters of type ArrayInt
Modifier and Type
Method
Description
`void`
ArrayInt.`addAll(ArrayInt template)`
Append all of another ArrayInt to the end of this one.
Constructors in org.eclipse.mat.collect with parameters of type ArrayInt
Modifier
Constructor
Description
``
`ArrayInt(ArrayInt template)`
Create a list based on an existing ArrayInt, of size of the template

## Uses of ArrayInt in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections with parameters of type ArrayInt
Modifier and Type
Method
Description
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, String referentField, IProgressListener listener)`
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`

## Uses of ArrayInt in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index with parameters of type ArrayInt
Modifier and Type
Method
Description
`void`
IndexWriter.IntArray1NWriter.`log(int index, ArrayInt references)`
must not contain duplicates!

## Uses of ArrayInt in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return ArrayInt
Modifier and Type
Method
Description
`ArrayInt`
Query.FromClause.`getObjectIds()`